Bug 1021136 - Please include upstream changeset r1150
Please include upstream changeset r1150
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libical (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 14:23 EDT by Gert Michael Kulyk
Modified: 2013-11-10 02:17 EST (History)
4 users (show)

See Also:
Fixed In Version: libical-1.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:17:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-shell calendar after this patch (393.23 KB, image/png)
2013-10-23 19:48 EDT, Sebastian Keller
no flags Details

  None (edit)
Description Gert Michael Kulyk 2013-10-19 14:23:42 EDT
Current libical 1.0-2 causes evolution-data-server (evolution, gnome-shell-calender) to show up e.g. birthday events for persons born before 1.1.1950 on two days, starting at 23:00 the day before the event. Upstream changeset r1150 fixes the issue, so please include it.

For more information please have a look at 
http://sourceforge.net/p/freeassociation/code/1150/

Thanks.
Comment 1 Fedora Update System 2013-10-19 19:56:53 EDT
libical-1.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libical-1.0-3.fc20
Comment 2 Fedora Update System 2013-10-20 13:45:53 EDT
Package libical-1.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libical-1.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19543/libical-1.0-3.fc20
then log in and leave karma (feedback).
Comment 3 Sebastian Keller 2013-10-23 19:48:35 EDT
Created attachment 815592 [details]
gnome-shell calendar after this patch

With this patch it seems like all manually created recurring events show up on the weekdays they were recurring even if they should no longer recur. This causes the calendar to be filled with lots of old entries. The first login after installing this patch triggered >100 reminders at once. This makes the calendar entirely unusable. After downgrading the libical package everything went back to normal.
Comment 4 Sebastian Keller 2013-10-23 20:00:01 EDT
I've found an easy way to reproduce the problem:

1.) disable all calendars
2.) create a new local calendar
3.) go back to 2012
4.) create a new apointment "test" in this calendar on october the 24th
5.) mark it as recurring daily with 2 recurrences
6.) save

-> the entire calendar starting from october 24th on is now filled with "test"
Comment 5 Gert Michael Kulyk 2013-10-24 07:41:05 EDT
Unfortunately you're right. I'm able to reproduce the problem. When using in Evolution not "every 2 days for 2 occurences" but "every 2 days until" a given date, it does not happen. As I'm always using the latter option, I did not see any problem testing the patch. 

The "for" option writes something like "RRULE;X-EVOLUTION-ENDDATE=20131025T080000Z:FREQ=DAILY;COUNT=2", while the "until" option" writes something like "RRULE:FREQ=DAILY;UNTIL=20131026" to the resulting libical file. 

It seems like X-EVOLUTION-ENDDATE is not interpreted correctly after applying the patch... Maybe e-d-s/evolution somehow expects a "buggy" libical?
Comment 6 Milan Crha 2013-11-05 15:38:05 EST
(In reply to Gert Michael Kulyk from comment #5)
> It seems like X-EVOLUTION-ENDDATE is not interpreted correctly after
> applying the patch... Maybe e-d-s/evolution somehow expects a "buggy"
> libical?

Nope, the X-EVOLUTION-ENDDATE is just a hint, it is not mandatory and if it is not set, then it is computed on the fly. Let's move with this investigation to bug #1023020, to not duplicate the work.
Comment 7 Fedora Update System 2013-11-10 02:17:13 EST
libical-1.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.